# BUILD_CMD = docker buildx build --platform linux/arm/v7,linux/arm64/v8,linux/amd64 --pull
BUILD_CMD = docker buildx build --platform linux/arm/v7,linux/arm64/v8,linux/amd64 --pull --push
CI_REGISTRY ?= registry.gitlab.com
CI_REGISTRY_IMAGE ?= $(CI_REGISTRY)/mrmilu/public-docker-images/docker-postgis
CI_REGISTRY_IMAGE_BASE ?= $(CI_REGISTRY_IMAGE)/base-postgis
# CI_JOB_TOKEN ?= XXXXXXX
CI_REGISTRY_USER ?= UUUUUU
CI_REGISTRY_PASSWORD ?= PPPPPPPPP

build:
	$(BUILD_CMD) --tag $(CI_REGISTRY_IMAGE):9.6-2.3 9.6-2.3
	# $(BUILD_CMD) --tag $(CI_REGISTRY_IMAGE):10-2.3 10-2.3

clean:
	docker buildx prune

docker-postgis:
	git clone https://github.com/postgis/docker-postgis.git

prepare:
	docker run --privileged --rm tonistiigi/binfmt --install all
	docker buildx create --use --name build-docker-watchman --node build-docker-watchman0
	docker buildx ls

push: build
	# docker login -u gitlab-ci-token -p $CI_JOB_TOKEN $CI_REGISTRY
	docker login -u $(CI_REGISTRY_USER) -p "$(CI_REGISTRY_PASSWORD)" $(CI_REGISTRY)
	docker push -a $(CI_REGISTRY_IMAGE)